PairwiseSequenceRenderer (BioJava-1.5-beta API)
Keywords: org.biojava.bio.gui.sequence.PairwiseSequenceRenderer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Interface PairwiseSequenceRenderer

All Known Implementing Classes:
  CrosshairRenderer, PairwiseDiagonalRenderer, PairwiseFilteringRenderer, PairwiseOverlayRenderer

    public interface PairwiseSequenceRenderer

`PairwiseSequenceRenderer`s render information about the relationship between two sequences. Its function is analagous to `SequenceRenderer` for single sequences and is extensively based on that code.

Since:
  1.2
Author:
  Keith James

Nested Class Summary
`static class` | `PairwiseSequenceRenderer.PairwiseRendererForwarder` `PairwiseRendererForwarder` forward events to other renderers.

Method Summary
`void` | `paint(Graphics2D g2, PairwiseRenderContext prc)` `paint`s some or all of the information about the sequence pair.
`SequenceViewerEvent` | `processMouseEvent(PairwiseRenderContext prc, MouseEvent me, List path)` `processMouseEvent` produces a `SequenceViewerEvent` in response to a mouse gesture.

Method Detail

### paint

    void paint(Graphics2D g2,
               PairwiseRenderContext prc)

  `paint`s some or all of the information about the sequence pair.

  Parameters:
    `g2` - a `Graphics2D`.
    `prc` - a `PairwiseRenderContext` encapsulating the information to be displayed.

### processMouseEvent

    SequenceViewerEvent processMouseEvent(PairwiseRenderContext prc,
                                          MouseEvent me,
                                          List path)

  `processMouseEvent` produces a `SequenceViewerEvent` in response to a mouse gesture.

  Parameters:
    `prc` - a `PairwiseRenderContext`.
    `me` - a `MouseEvent` that caused the request.
    `path` - a `List` of `PairwiseSequenceRenderer` instances passed through so far.
  Returns:
    a `SequenceViewerEvent` encapsulating the mouse gesture.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD